// Undo_Redo_DemoView.h : interface of the CUndo_Redo_DemoView class
// As part of the Undo_Redo_Demo application
// By Tom Morris of trilobiteWorks. December 2002
// Use freely...

#pragma once


class CUndo_Redo_DemoView : public CView
{
protected: // create from serialization only
	CUndo_Redo_DemoView();
	DECLARE_DYNCREATE(CUndo_Redo_DemoView)

// Attributes
public:
	CUndo_Redo_DemoDoc* GetDocument() const;

// Operations
public:
	void	DrawX(CPoint *pPoint);
	void	DrawLabel(CString	*pstrLabel, CPoint *pPoint);

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:

// Implementation
public:
	virtual ~CUndo_Redo_DemoView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	//	we are using this mouse function to illustrate the use and
	//	modification of the DocVars and how they can be updated
	//	by local functions anywhere
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
};

#ifndef _DEBUG  // debug version in Undo_Redo_DemoView.cpp
inline CUndo_Redo_DemoDoc* CUndo_Redo_DemoView::GetDocument() const
   { return reinterpret_cast<CUndo_Redo_DemoDoc*>(m_pDocument); }
#endif

